Skip to content
CatalogCollections

List collections

Returns cursor-paginated collections, filterable by type, status, text and IDs.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
type?string

Only this type.

Value in

  • "static"
  • "dynamic"
status?string

Only items in these statuses.

Value in

  • "draft"
  • "active"
types?array<>

Only these product types.

Value in

  • "static"
  • "dynamic"
statuses?array<>

Only items in these statuses.

Value in

  • "draft"
  • "active"
excludeTypes?array<>

Leave out these product types.

Value in

  • "static"
  • "dynamic"
excludeStatuses?array<>

Value in

  • "draft"
  • "active"
ids?array<ResourceId>

Only these identifiers.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/collections" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004326958",      "storeId": "7204558912004327977",      "name": "Nueva temporada",      "slug": "nueva-temporada",      "status": "draft",      "image": {        "id": "7204558912004326958",        "url": "https://mi-tienda.ecomiq.app/collections/nueva-temporada"      },      "type": "static",      "dynamicOperator": "and",      "validFrom": "2026-09-28T15:30:00Z",      "validTo": "2026-09-28T15:30:00Z",      "ruleCount": 24,      "overrideCount": 24,      "productCount": 24,      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}